%define gtk_version %(rpmquery --queryformat=%%{version} libgtk+2)

Name: sweep
Version: 0.9.3
Release: alt1
Summary: Sound wave editor
License: GPL
Group: Sound
URL: http://sweep.sourceforge.net/

Packager: Valery Inozemtsev <shrek@altlinux.ru>

Requires: libgtk+2 >= %gtk_version

Source0: %name-%version.tar.bz2
Source1: %name-icons.tar.bz2

Patch0: sweep-0.9.1-alt-tdb.patch
Patch1: sweep-0.9.2-alt-plugins-link.patch
Patch2: sweep-0.9.2-i18n.patch

# Automatically added by buildreq on Mon Sep 18 2006
BuildRequires: libgtk+2-devel libmad-devel libsamplerate-devel libsndfile-devel
BuildRequires: libspeex-devel libtdb-devel libvorbis-devel

%description
Sweep is an editor for sound samples. It operates on files of various
formats such as .wav, .aiff and .au, and has multiple undo/redo levels
and filters. It supports audio filter plugins from the LADSPA project.

%package devel
Summary: Sweep plugin development kit
Group: Sound
Requires: %name = %version-%release

%description devel
The sweep-devel package contains header files and documentation for writing
plugins for Sweep, a sound wave editor.

Install sweep-devel if you're going to create plugins for Sweep. You will
also need to install sweep.

%prep
%setup -q

%patch0 -p1
%patch1 -p1
%patch2 -p0

%build
%autoreconf
%configure \
	--disable-static
%make_build

%install
%make DESTDIR=%buildroot install

mkdir -p %buildroot%_iconsdir
tar -xjf %SOURCE1 -C %buildroot%_iconsdir

subst "s,%name.svg,%name," %buildroot%_datadir/applications/%name.desktop
find %buildroot%_libdir/%name -name \*.la -delete

%find_lang %name

%post
%update_menus
%update_mimedb

%postun
%clean_menus
%clean_mimedb

%files -f %name.lang
%doc AUTHORS NEWS TODO
%_bindir/%name
%_libdir/%name
%_datadir/applications/%name.desktop
%_datadir/pixmaps/%name.svg
%_datadir/%name
%_iconsdir/hicolor/*/*/%name.png
%_man1dir/%name.*

%files devel
%doc doc/plugin_writers_guide.txt ChangeLog
%_includedir/sweep

%changelog
* Sun Apr 13 2008 Valery Inozemtsev <shrek@altlinux.ru> 0.9.3-alt1
- 0.9.3

* Thu Jan 03 2008 Valery Inozemtsev <shrek@altlinux.ru> 0.9.2-alt3
- fixed i18n for non-UTF-8 locales (close #13856)

* Sun Nov 25 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.9.2-alt2
- rebuild

* Mon Jan 29 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.9.2-alt1
- 0.9.2

* Mon Sep 18 2006 Valery Inozemtsev <shrek@altlinux.ru> 0.9.1-alt1
- initial release

